import typing as t
from abc import ABC


class BaseUserFileds(ABC):
    id: int
    first_name: str
    last_name: t.Union[str, None] = None
    username: t.Union[str, None] = None


class User(BaseUserFileds):

    def __new__(self, **kw):
        if "user_id" in kw:
            self.id = kw["user_id"]
        if "first_name" in kw:
            self.first_name = kw["first_name"]
        if "last_name" in kw:
            self.last_name = kw["last_name"]
        if "username" in kw:
            self.username = kw["username"]
        return self
